# Gimp.Image.insert_channel

    @accepts(Gimp.Image, Gimp.Channel, Gimp.Channel, int)
    @returns(bool)
    def insert_channel(self, channel, parent, position):
        # Python wrapper for gimp_image_insert_channel()

Add the specified channel to the image.

This procedure adds the specified channel to the image at the given position. Since channel groups are not currently supported, the parent argument must always be 0. The position argument specifies the location of the channel inside the stack, starting from the top (0) and increasing. If the position is specified as -1, then the channel is inserted above the active channel.

self

  The image.

channel

  The channel.

parent

  The parent channel.

position

  The channel position.

Returns